Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 302688

Summary: media-gfx/blender-2.49a and all other blender ebuilds fail to compile with --load-average set in MAKEOPTS
Product: Gentoo Linux Reporter: Daniel Godas Lopez <dgodas>
Component: New packagesAssignee: Luca Barbato <lu_zero>
Status: RESOLVED FIXED    
Severity: normal CC: denilsonsa, graphics+disabled, lun0s, mgorny, pva, thomas.jones
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 337831    

Description Daniel Godas Lopez 2010-01-28 20:23:27 UTC
The ebuild removes -l from MAKEOPTS so it doesnt crash scons but fails to do so with --load-average.
The attached patch just removes --load-average. 

Reproducible: Always

Steps to Reproduce:
1. Add --load-average=1.0 to MAKEOPTS in /etc/make.conf
2. emerge =media-gfx/blender-2.49a
3.

Actual Results:  
scons crashes right away

Expected Results:  
scons should have finished building blender

--- blender-2.49a.ebuild        2009-10-13 19:35:47.000000000 +0200
+++ blender-2.49a.ebuild.new    2010-01-28 21:08:10.794609982 +0100
@@ -111,7 +111,7 @@

 src_compile() {
        # scons uses -l differently -> remove it
-       scons ${MAKEOPTS/-l[0-9]} || die \
+       scons `( X=${MAKEOPTS/-l[0-9]/}; echo ${X/--load-average=[0-9].[0-9]/} )` || die \
        '!!! Please add "${S}/scons.config" when filing bugs reports \
        to bugs.gentoo.org'
Comment 1 Peter Volkov (RETIRED) gentoo-dev 2010-01-29 09:59:37 UTC
Probably it's good idea to write scons.eclass for this common edges... CC'ing python as scons maintainers.
Comment 2 Kevin Pyle 2010-09-18 17:19:17 UTC
The blocked tracker bug filed by Cyprien Nicolas (fulax) (bug #337831) will hopefully provide a more general solution to this problem.  In the meantime, the SCons maintainers may find the expression used in bug #241684 and reused in bug #335119 useful.  It converts --jobs to -j and a bare -j to -j1, and drops all other options.  The use of -j1 was requested as a generic way to avoid overloading user systems that expected a --load-average to keep the load down.
Comment 3 Samuli Suominen (RETIRED) gentoo-dev 2010-10-07 12:07:03 UTC
*** Bug 299592 has been marked as a duplicate of this bug. ***
Comment 4 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-01-18 14:15:53 UTC
(In reply to comment #1)
> Probably it's good idea to write scons.eclass for this common edges... CC'ing
> python as scons maintainers.

Somebody wrote scons-utils.eclass.
Comment 5 Sebastian Pipping gentoo-dev 2011-10-29 21:27:05 UTC
*** Bug 276130 has been marked as a duplicate of this bug. ***
Comment 6 Sebastian Pipping gentoo-dev 2011-10-30 13:00:13 UTC
+  30 Oct 2011; Sebastian Pipping <sping@gentoo.org> blender-2.48a-r3.ebuild,
+  blender-2.49a.ebuild, blender-2.49b-r2.ebuild, blender-2.57-r1.ebuild:
+  Migrate to escons from scons-utils eclass to fix compilation with
+  --load-average (or its variations) in MAKEOPTS (bug #302688)
+